<?xml version="1.0" encoding="utf-8"?>
<openerp>
	<data>	
		<record id="action_perilaku_propose_review_byatasan_popup_form_view" model="ir.ui.view">
            <field name="name">project.perilaku.propose.review.byatasan.form</field>
            <field name="model">project.perilaku.propose.review.byatasan</field>
            <field name="arch" type="xml">
                <form string="Pengajuan Review Perilaku" version="7.0">
                    <sheet>
                      <group col="2" >
							<field name="review_notes"/>
							<field name="is_review" invisible="True"/>
							<field name="is_kepala_opd" invisible="True"/>
							<field name="employee_job_type" invisible="True"/>
							<field name="task_id" invisible="True"/>
							<field name="nilai_sebelum_review" invisible="True"/>
						</group>
						<div>
							<h3>Silakan Pilih Aspek Apa Saja Yang Akan Direview : </h3>					
						</div>
						<group>
															<div name="review_perilaku_kerja_realisasi"   >
										                    	<group>
										                    		<div>
													                        <div style="background:#19bb9b;text-align:center" >
													                        	<h3>Orientasi Pelayanan</h3>
													                       	</div>
													                       	<div>
													                                <field name="is_orientasi_pelayanan_review"/>
													                                <label string="Berikan Review Pelayanan "/> 
																			</div>
																			<group col="2" attrs="{'invisible': [('is_orientasi_pelayanan_review','=',False)]}" >
																				 <group>
																				 
																						<field name="review_jumlah_konsumen_pelayanan" string="Jumlah Pelayanan" /> 
																						<field name="review_satuan_jumlah_konsumen_pelayanan" />    
														                         		<field name="review_jumlah_tidakpuas_pelayanan" /> 
														                         </group>
																				 <group attrs="{'invisible': [('is_kepala_opd','=',False)]}" >
																								<field name="review_ketepatan_laporan_spj" /> 
																								<field name="review_ketepatan_laporan_ukp4" />       
																                         		<field name="review_efisiensi_biaya_operasional" /> 
														                         </group>
													                        </group>
													                        <div style="background:#19bb9b;text-align:center" >
													                        	 	<h3>Integritas</h3>
													                        </div>
													                        <div>
													                          	   <field name="is_integritas_review"/>
													                             	<label string="Berikan Review Integritas "/> 
																			</div>	
																			<div attrs="{'invisible': [('is_integritas_review','=',False)]}"  >
																				<div style="background:#8addf6" >
														                        	 	<h5>Hukuman Disiplin</h5>
														                        </div>	
																				<group col="2">
																								<field name="review_integritas_hukuman"  />
																								<field name="review_integritas_hukuman_ringan" attrs="{'invisible':[('review_integritas_hukuman','=', 'tidak')]}"/>    
																								<field name="review_integritas_hukuman_sedang" attrs="{'invisible':[('review_integritas_hukuman','=',  'tidak')]}"/>
																								<field name="review_integritas_hukuman_berat" attrs="{'invisible':[('review_integritas_hukuman','=',  'tidak')]}"/>                                	
																								  
																                </group>
																				<div style="background:#8addf6" >
														                        	 	<h5>Penghargaan</h5>
														                        </div>	
														                        <group col="4">
														                        	 		<group col="2">
																								<field name="review_integritas_presiden" />                        	
																								<field name="review_integritas_gubernur" />
																								<field name="review_integritas_kepalaopd" /> 
																								<field name="review_integritas_atasan" />  
																                        	</group>       
																							<group col="2">
																								<field name="review_integritas_es1" />  
																								<field name="review_integritas_es2" />   
																								<field name="review_integritas_es3"  invisible="True" />     
																                       			<field name="review_integritas_es4"  invisible="True"  />																
																							</group>                            	
														                        </group>
													                        </div>
													                         <div style="background:#19bb9b;text-align:center" >
													                        	 	<h3>Komitmen</h3>
													                         </div>
													                         <div>
													                          	   <field name="is_komitmen_review"/>
													                             	<label string="Berikan Review Komitmen "/> 
																			</div>	
													                         <group col="2" attrs="{'invisible': [('is_komitmen_review','=',False)]}">
													                         			<div>
																						<group col="4">		
																						    <field name="review_hadir_apel_pagi"  />		
																							<field name="review_hadir_upacara_hari_besar" /> 
														                         		</group>	 
																						</div>                             	
													                        </group>
													                        <div style="background:#19bb9b;text-align:center" >
													                        	 	<h3>Disiplin</h3>
													                         </div>
													                         <div>
													                          	   <field name="is_disiplin_review"/>
													                             	<label string="Berikan Review Disiplin "/> 
																			</div>	
													                         <group col="2" attrs="{'invisible': [('is_disiplin_review','=',False)]}">
													                         			<div>
																						<group col="4">		
																						    <field name="review_hadir_hari_kerja"  />  
															                         		<field name="review_hadir_jam_kerja" />
															                         	</group>	 
																						</div>                             	
													                        </group>
													                        <div style="background:#19bb9b;text-align:center" >
													                        	 	<h3>Kerjasama</h3>
													                         </div>
																			<div>
													                          	   <field name="is_kerjasama_review"/>
													                             	<label string="Berikan Review Kerjasama "/> 
																			</div>	
													                         <group col="4" attrs="{'invisible': [('is_kerjasama_review','=',False)]}">
													                             		<group col="2">
																							<field name="review_kerjasama_nasional" />                            	
															                         		<field name="review_kerjasama_gubernur" />
															                         		<field name="review_kerjasama_kepalaopd" />     
																							<field name="review_kerjasama_atasan" />
														                       			</group>
														                       			<group col="2">                             	
															                        		<field name="review_kerjasama_rapat_nasional" />         
															                         		<field name="review_kerjasama_rapat_provinsi" />
																							<field name="review_kerjasama_rapat_perangkat_daerah" />     
															                       			<field name="review_kerjasama_rapat_atasan" />                                 	
														                        		</group>            	
													                        </group>
													                        <div attrs="{'invisible':[('employee_job_type','!=', 'struktural')]}"  >
														                        <div style="background:#19bb9b;text-align:center"  >
														                        	 	<h3>Kepemimpinan</h3>
														                         </div>
														                         <div>
													                          	   <field name="is_kepemimpinan_review"/>
													                             	<label string="Berikan Review Kepemimpinan "/> 
																					</div>	
													                         <group col="4" attrs="{'invisible': [('is_kepemimpinan_review','=',False)]}">
														                        	 <div>
														                        	 		<group col="2">
																								<field name="review_kepemimpinan_nasional"/>                            	
																								<field name="review_kepemimpinan_gubernur"/>                          	
																								<field name="review_kepemimpinan_kepalaopd"/> 
																								<field name="review_kepemimpinan_atasan"/>                                 	
															                       			</group>
												                        					<group col="2">
												                        						<field name="review_kepemimpinan_narsum_nasional"/>                             	
																								<field name="review_kepemimpinan_narsum_provinsi"/>
																                        		<field name="review_kepemimpinan_narsum_perangkat_daerah"/>      
																                       			<field name="review_kepemimpinan_narsum_unitkerja"/>                              	
															                        		</group>                    	
															                        </div>
														                        </group>
													                        </div>
												                      </div>
												                   </group>
										                        </div>
									                   		</group> <!-- END GROUP Realiasasi   -->   
                    <footer>
                        <button string='Ajukan Review'  name="action_propose_perilaku_review" type="object" class="oe_highlight" 
                        groups="df_project.group_project_manager"/>
                        or
                        <button string="Cancel" class="oe_link" special="cancel"/>
                    </footer>
                    </sheet>
               </form>
            </field>
        </record>
       

	</data>
</openerp>